package org.dromara.system.service;

import org.dromara.common.core.domain.R;
import org.dromara.system.domain.RegisterTeacher;
import org.dromara.system.domain.vo.RegisterTeacherVo;
import org.dromara.system.domain.bo.RegisterTeacherBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 注册-老师Service接口
 *
 * @author boman
 * @date 2023-08-16
 */
public interface IRegisterTeacherService {

    /**
     * 查询注册-老师
     */
    RegisterTeacherVo queryById(Long id);

    /**
     * 查询注册-老师列表
     */
    TableDataInfo<RegisterTeacherVo> queryPageList(RegisterTeacherBo bo, PageQuery pageQuery);

    /**
     * 查询注册-老师列表
     */
    List<RegisterTeacherVo> queryList(RegisterTeacherBo bo);

    /**
     * 新增注册-老师
     */
    R<RegisterTeacherVo> insertByBo(RegisterTeacherBo bo);

    /**
     * 修改注册-老师
     */
    Boolean updateByBo(RegisterTeacherBo bo);

    /**
     * 校验并批量删除注册-老师信息
     */
    Boolean deleteWithValidByIds(Long[] ids, Boolean isValid);
}
